## WDS Set Event Report request WDS Set Event Report request |

## Functions

QmiMessageWdsSetEventReportInput * | qmi_message_wds_set_event_report_input_new ()
QmiMessageWdsSetEventReportInput * | qmi_message_wds_set_event_report_input_ref ()
void | qmi_message_wds_set_event_report_input_unref ()
gboolean | qmi_message_wds_set_event_report_input_get_extended_data_bearer_technology ()
gboolean | qmi_message_wds_set_event_report_input_set_extended_data_bearer_technology ()
gboolean | qmi_message_wds_set_event_report_input_get_pdn_filter_removals ()
gboolean | qmi_message_wds_set_event_report_input_set_pdn_filter_removals ()
gboolean | qmi_message_wds_set_event_report_input_get_limited_data_system_status ()
gboolean | qmi_message_wds_set_event_report_input_set_limited_data_system_status ()
gboolean | qmi_message_wds_set_event_report_input_get_uplink_flow_control ()
gboolean | qmi_message_wds_set_event_report_input_set_uplink_flow_control ()
gboolean | qmi_message_wds_set_event_report_input_get_data_systems ()
gboolean | qmi_message_wds_set_event_report_input_set_data_systems ()
gboolean | qmi_message_wds_set_event_report_input_get_evdo_pm_change ()
gboolean | qmi_message_wds_set_event_report_input_set_evdo_pm_change ()
gboolean | qmi_message_wds_set_event_report_input_get_preferred_data_system ()
gboolean | qmi_message_wds_set_event_report_input_set_preferred_data_system ()
gboolean | qmi_message_wds_set_event_report_input_get_data_call_status ()
gboolean | qmi_message_wds_set_event_report_input_set_data_call_status ()
gboolean | qmi_message_wds_set_event_report_input_get_current_data_bearer_technology ()
gboolean | qmi_message_wds_set_event_report_input_set_current_data_bearer_technology ()
gboolean | qmi_message_wds_set_event_report_input_get_mip_status ()
gboolean | qmi_message_wds_set_event_report_input_set_mip_status ()
gboolean | qmi_message_wds_set_event_report_input_get_dormancy_status ()
gboolean | qmi_message_wds_set_event_report_input_set_dormancy_status ()
gboolean | qmi_message_wds_set_event_report_input_get_data_bearer_technology ()
gboolean | qmi_message_wds_set_event_report_input_set_data_bearer_technology ()
gboolean | qmi_message_wds_set_event_report_input_get_transfer_statistics ()
gboolean | qmi_message_wds_set_event_report_input_set_transfer_statistics ()
gboolean | qmi_message_wds_set_event_report_input_get_channel_rate ()
gboolean | qmi_message_wds_set_event_report_input_set_channel_rate ()
QmiMessageWdsSetEventReportOutput * | qmi_message_wds_set_event_report_output_ref ()
void | qmi_message_wds_set_event_report_output_unref ()
gboolean | qmi_message_wds_set_event_report_output_get_result ()
void | qmi_client_wds_set_event_report ()
QmiMessageWdsSetEventReportOutput * | qmi_client_wds_set_event_report_finish ()

## Types and Values

| QmiMessageWdsSetEventReportInput
| QmiMessageWdsSetEventReportOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageWdsSetEventReportInput
        ╰── QmiMessageWdsSetEventReportOutput

## Description

## Functions

### qmi_message_wds_set_event_report_input_new ()

    QmiMessageWdsSetEventReportInput *
    qmi_message_wds_set_event_report_input_new
                                   (void);

Allocates a new QmiMessageWdsSetEventReportInput.

#### Returns

the newly created QmiMessageWdsSetEventReportInput. The returned value should be freed with `qmi_message_wds_set_event_report_input_unref()`.

Since: 1.18

### qmi_message_wds_set_event_report_input_ref ()

    QmiMessageWdsSetEventReportInput *
    qmi_message_wds_set_event_report_input_ref
                                   (QmiMessageWdsSetEventReportInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageWdsSetEventReportInput. |

#### Returns

the new reference to `self` .

Since: 1.18

### qmi_message_wds_set_event_report_input_unref ()

    void
    qmi_message_wds_set_event_report_input_unref
                                   (QmiMessageWdsSetEventReportInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageWdsSetEventReportInput. |

Since: 1.18

### qmi_message_wds_set_event_report_input_get_extended_data_bearer_technology ()

    gboolean
    qmi_message_wds_set_event_report_input_get_extended_data_bearer_technology
                                   (QmiMessageWdsSetEventReportInput *self,
                                    gboolean *value_extended_data_bearer_technology,
                                    GError **error);

Get the 'Extended Data Bearer Technology' field from `self` .

#### Parameters

self | a QmiMessageWdsSetEventReportInput. |
value_extended_data_bearer_technology | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_message_wds_set_event_report_input_set_extended_data_bearer_technology ()

    gboolean
    qmi_message_wds_set_event_report_input_set_extended_data_bearer_technology
                                   (QmiMessageWdsSetEventReportInput *self,
                                    gboolean value_extended_data_bearer_technology,
                                    GError **error);

Set the 'Extended Data Bearer Technology' field in the message.

#### Parameters

self | a QmiMessageWdsSetEventReportInput. |
value_extended_data_bearer_technology | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.18

### qmi_message_wds_set_event_report_input_get_pdn_filter_removals ()

    gboolean
    qmi_message_wds_set_event_report_input_get_pdn_filter_removals
                                   (QmiMessageWdsSetEventReportInput *self,
                                    gboolean *value_pdn_filter_removals,
                                    GError **error);

Get the 'PDN Filter Removals' field from `self` .

#### Parameters

self | a QmiMessageWdsSetEventReportInput. |
value_pdn_filter_removals | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_message_wds_set_event_report_input_set_pdn_filter_removals ()

    gboolean
    qmi_message_wds_set_event_report_input_set_pdn_filter_removals
                                   (QmiMessageWdsSetEventReportInput *self,
                                    gboolean value_pdn_filter_removals,
                                    GError **error);

Set the 'PDN Filter Removals' field in the message.

#### Parameters

self | a QmiMessageWdsSetEventReportInput. |
value_pdn_filter_removals | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.18

### qmi_message_wds_set_event_report_input_get_limited_data_system_status ()

    gboolean
    qmi_message_wds_set_event_report_input_get_limited_data_system_status
                                   (QmiMessageWdsSetEventReportInput *self,
                                    gboolean *value_limited_data_system_status,
                                    GError **error);

Get the 'Limited Data System Status' field from `self` .

#### Parameters

self | a QmiMessageWdsSetEventReportInput. |
value_limited_data_system_status | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_message_wds_set_event_report_input_set_limited_data_system_status ()

    gboolean
    qmi_message_wds_set_event_report_input_set_limited_data_system_status
                                   (QmiMessageWdsSetEventReportInput *self,
                                    gboolean value_limited_data_system_status,
                                    GError **error);

Set the 'Limited Data System Status' field in the message.

#### Parameters

self | a QmiMessageWdsSetEventReportInput. |
value_limited_data_system_status | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.18

### qmi_message_wds_set_event_report_input_get_uplink_flow_control ()

    gboolean
    qmi_message_wds_set_event_report_input_get_uplink_flow_control
                                   (QmiMessageWdsSetEventReportInput *self,
                                    gboolean *value_uplink_flow_control,
                                    GError **error);

Get the 'Uplink Flow Control' field from `self` .

#### Parameters

self | a QmiMessageWdsSetEventReportInput. |
value_uplink_flow_control | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_message_wds_set_event_report_input_set_uplink_flow_control ()

    gboolean
    qmi_message_wds_set_event_report_input_set_uplink_flow_control
                                   (QmiMessageWdsSetEventReportInput *self,
                                    gboolean value_uplink_flow_control,
                                    GError **error);

Set the 'Uplink Flow Control' field in the message.

#### Parameters

self | a QmiMessageWdsSetEventReportInput. |
value_uplink_flow_control | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.18

### qmi_message_wds_set_event_report_input_get_data_systems ()

    gboolean
    qmi_message_wds_set_event_report_input_get_data_systems
                                   (QmiMessageWdsSetEventReportInput *self,
                                    gboolean *value_data_systems,
                                    GError **error);

Get the 'Data Systems' field from `self` .

#### Parameters

self | a QmiMessageWdsSetEventReportInput. |
value_data_systems | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_message_wds_set_event_report_input_set_data_systems ()

    gboolean
    qmi_message_wds_set_event_report_input_set_data_systems
                                   (QmiMessageWdsSetEventReportInput *self,
                                    gboolean value_data_systems,
                                    GError **error);

Set the 'Data Systems' field in the message.

#### Parameters

self | a QmiMessageWdsSetEventReportInput. |
value_data_systems | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.18

### qmi_message_wds_set_event_report_input_get_evdo_pm_change ()

    gboolean
    qmi_message_wds_set_event_report_input_get_evdo_pm_change
                                   (QmiMessageWdsSetEventReportInput *self,
                                    gboolean *value_evdo_pm_change,
                                    GError **error);

Get the 'EVDO PM Change' field from `self` .

#### Parameters

self | a QmiMessageWdsSetEventReportInput. |
value_evdo_pm_change | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_message_wds_set_event_report_input_set_evdo_pm_change ()

    gboolean
    qmi_message_wds_set_event_report_input_set_evdo_pm_change
                                   (QmiMessageWdsSetEventReportInput *self,
                                    gboolean value_evdo_pm_change,
                                    GError **error);

Set the 'EVDO PM Change' field in the message.

#### Parameters

self | a QmiMessageWdsSetEventReportInput. |
value_evdo_pm_change | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.18

### qmi_message_wds_set_event_report_input_get_preferred_data_system ()

    gboolean
    qmi_message_wds_set_event_report_input_get_preferred_data_system
                                   (QmiMessageWdsSetEventReportInput *self,
                                    gboolean *value_preferred_data_system,
                                    GError **error);

Get the 'Preferred Data System' field from `self` .

#### Parameters

self | a QmiMessageWdsSetEventReportInput. |
value_preferred_data_system | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_message_wds_set_event_report_input_set_preferred_data_system ()

    gboolean
    qmi_message_wds_set_event_report_input_set_preferred_data_system
                                   (QmiMessageWdsSetEventReportInput *self,
                                    gboolean value_preferred_data_system,
                                    GError **error);

Set the 'Preferred Data System' field in the message.

#### Parameters

self | a QmiMessageWdsSetEventReportInput. |
value_preferred_data_system | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.18

### qmi_message_wds_set_event_report_input_get_data_call_status ()

    gboolean
    qmi_message_wds_set_event_report_input_get_data_call_status
                                   (QmiMessageWdsSetEventReportInput *self,
                                    gboolean *value_data_call_status,
                                    GError **error);

Get the 'Data Call Status' field from `self` .

#### Parameters

self | a QmiMessageWdsSetEventReportInput. |
value_data_call_status | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_message_wds_set_event_report_input_set_data_call_status ()

    gboolean
    qmi_message_wds_set_event_report_input_set_data_call_status
                                   (QmiMessageWdsSetEventReportInput *self,
                                    gboolean value_data_call_status,
                                    GError **error);

Set the 'Data Call Status' field in the message.

#### Parameters

self | a QmiMessageWdsSetEventReportInput. |
value_data_call_status | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.18

### qmi_message_wds_set_event_report_input_get_current_data_bearer_technology ()

    gboolean
    qmi_message_wds_set_event_report_input_get_current_data_bearer_technology
                                   (QmiMessageWdsSetEventReportInput *self,
                                    gboolean *value_current_data_bearer_technology,
                                    GError **error);

Get the 'Current Data Bearer Technology' field from `self` .

#### Parameters

self | a QmiMessageWdsSetEventReportInput. |
value_current_data_bearer_technology | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_message_wds_set_event_report_input_set_current_data_bearer_technology ()

    gboolean
    qmi_message_wds_set_event_report_input_set_current_data_bearer_technology
                                   (QmiMessageWdsSetEventReportInput *self,
                                    gboolean value_current_data_bearer_technology,
                                    GError **error);

Set the 'Current Data Bearer Technology' field in the message.

#### Parameters

self | a QmiMessageWdsSetEventReportInput. |
value_current_data_bearer_technology | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.18

### qmi_message_wds_set_event_report_input_get_mip_status ()

    gboolean
    qmi_message_wds_set_event_report_input_get_mip_status
                                   (QmiMessageWdsSetEventReportInput *self,
                                    guint8 *value_mip_status,
                                    GError **error);

Get the 'MIP Status' field from `self` .

#### Parameters

self | a QmiMessageWdsSetEventReportInput. |
value_mip_status | a placeholder for the output guint8, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_message_wds_set_event_report_input_set_mip_status ()

    gboolean
    qmi_message_wds_set_event_report_input_set_mip_status
                                   (QmiMessageWdsSetEventReportInput *self,
                                    guint8 value_mip_status,
                                    GError **error);

Set the 'MIP Status' field in the message.

#### Parameters

self | a QmiMessageWdsSetEventReportInput. |
value_mip_status | a guint8. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.18

### qmi_message_wds_set_event_report_input_get_dormancy_status ()

    gboolean
    qmi_message_wds_set_event_report_input_get_dormancy_status
                                   (QmiMessageWdsSetEventReportInput *self,
                                    gboolean *value_dormancy_status,
                                    GError **error);

Get the 'Dormancy Status' field from `self` .

#### Parameters

self | a QmiMessageWdsSetEventReportInput. |
value_dormancy_status | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_message_wds_set_event_report_input_set_dormancy_status ()

    gboolean
    qmi_message_wds_set_event_report_input_set_dormancy_status
                                   (QmiMessageWdsSetEventReportInput *self,
                                    gboolean value_dormancy_status,
                                    GError **error);

Set the 'Dormancy Status' field in the message.

#### Parameters

self | a QmiMessageWdsSetEventReportInput. |
value_dormancy_status | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.18

### qmi_message_wds_set_event_report_input_get_data_bearer_technology ()

    gboolean
    qmi_message_wds_set_event_report_input_get_data_bearer_technology
                                   (QmiMessageWdsSetEventReportInput *self,
                                    gboolean *value_data_bearer_technology,
                                    GError **error);

Get the 'Data Bearer Technology' field from `self` .

#### Parameters

self | a QmiMessageWdsSetEventReportInput. |
value_data_bearer_technology | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_message_wds_set_event_report_input_set_data_bearer_technology ()

    gboolean
    qmi_message_wds_set_event_report_input_set_data_bearer_technology
                                   (QmiMessageWdsSetEventReportInput *self,
                                    gboolean value_data_bearer_technology,
                                    GError **error);

Set the 'Data Bearer Technology' field in the message.

#### Parameters

self | a QmiMessageWdsSetEventReportInput. |
value_data_bearer_technology | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.18

### qmi_message_wds_set_event_report_input_get_transfer_statistics ()

    gboolean
    qmi_message_wds_set_event_report_input_get_transfer_statistics
                                   (QmiMessageWdsSetEventReportInput *self,
                                    guint8 *value_transfer_statistics_interval_seconds,
                                    QmiWdsSetEventReportTransferStatistics *value_transfer_statistics_indicators,
                                    GError **error);

Get the 'Transfer Statistics' field from `self` .

#### Parameters

self | a QmiMessageWdsSetEventReportInput. |
value_transfer_statistics_interval_seconds | a placeholder for the output guint8, or `NULL` if not required. |
value_transfer_statistics_indicators | a placeholder for the output QmiWdsSetEventReportTransferStatistics, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_message_wds_set_event_report_input_set_transfer_statistics ()

    gboolean
    qmi_message_wds_set_event_report_input_set_transfer_statistics
                                   (QmiMessageWdsSetEventReportInput *self,
                                    guint8 value_transfer_statistics_interval_seconds,
                                    QmiWdsSetEventReportTransferStatistics value_transfer_statistics_indicators,
                                    GError **error);

Set the 'Transfer Statistics' field in the message.

#### Parameters

self | a QmiMessageWdsSetEventReportInput. |
value_transfer_statistics_interval_seconds | a guint8. |
value_transfer_statistics_indicators | a QmiWdsSetEventReportTransferStatistics. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.18

### qmi_message_wds_set_event_report_input_get_channel_rate ()

    gboolean
    qmi_message_wds_set_event_report_input_get_channel_rate
                                   (QmiMessageWdsSetEventReportInput *self,
                                    gboolean *value_channel_rate,
                                    GError **error);

Get the 'Channel Rate' field from `self` .

#### Parameters

self | a QmiMessageWdsSetEventReportInput. |
value_channel_rate | a placeholder for the output gboolean, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_message_wds_set_event_report_input_set_channel_rate ()

    gboolean
    qmi_message_wds_set_event_report_input_set_channel_rate
                                   (QmiMessageWdsSetEventReportInput *self,
                                    gboolean value_channel_rate,
                                    GError **error);

Set the 'Channel Rate' field in the message.

#### Parameters

self | a QmiMessageWdsSetEventReportInput. |
value_channel_rate | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.18

### qmi_message_wds_set_event_report_output_ref ()

    QmiMessageWdsSetEventReportOutput *
    qmi_message_wds_set_event_report_output_ref
                                   (QmiMessageWdsSetEventReportOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageWdsSetEventReportOutput. |

#### Returns

the new reference to `self` .

Since: 1.18

### qmi_message_wds_set_event_report_output_unref ()

    void
    qmi_message_wds_set_event_report_output_unref
                                   (QmiMessageWdsSetEventReportOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageWdsSetEventReportOutput. |

Since: 1.18

### qmi_message_wds_set_event_report_output_get_result ()

    gboolean
    qmi_message_wds_set_event_report_output_get_result
                                   (QmiMessageWdsSetEventReportOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageWdsSetEventReportOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

Since: 1.18

### qmi_client_wds_set_event_report ()

    void
    qmi_client_wds_set_event_report (QmiClientWds *self,
                                     QmiMessageWdsSetEventReportInput *input,
                                     guint timeout,
                                     GCancellable *cancellable,
                                     GAsyncReadyCallback callback,
                                     gpointer user_data);

Asynchronously sends a Set Event Report request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_wds_set_event_report_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientWds. |
input | a QmiMessageWdsSetEventReportInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.18

### qmi_client_wds_set_event_report_finish ()

    QmiMessageWdsSetEventReportOutput *
    qmi_client_wds_set_event_report_finish
                                   (QmiClientWds *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_wds_set_event_report()`.

#### Parameters

self | a QmiClientWds. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_wds_set_event_report()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageWdsSetEventReportOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_wds_set_event_report_output_unref()`.

Since: 1.18

## Types and Values

### QmiMessageWdsSetEventReportInput

    typedef struct _QmiMessageWdsSetEventReportInput QmiMessageWdsSetEventReportInput;

The QmiMessageWdsSetEventReportInput structure contains private data and should only be accessed using the provided API.

Since: 1.18

### QmiMessageWdsSetEventReportOutput

    typedef struct _QmiMessageWdsSetEventReportOutput QmiMessageWdsSetEventReportOutput;

The QmiMessageWdsSetEventReportOutput structure contains private data and should only be accessed using the provided API.

Since: 1.18